POST
Query card operation records
Use this endpoint to query card operation records by card ID, idempotent request ID, operation type, and time range.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keycardIdCard ID filter. If omitted, records for all merchant cards can be queried.
Example:
100001clientRequestIdIdempotent request ID filter.
Example:
REQ_20260101_001typeOperation type filter.
Allowed values
CREATE- Card creation operation.
FREEZE- Card freeze operation.
UNFREEZE- Card unfreeze operation.
startTimeQuery start time, as a UTC timestamp in seconds.
Example:
1735689600endTimeQuery end time, as a UTC timestamp in seconds.
Example:
1735776000pageNumPage number.
Example:
1Constraints
- Range
1
pageSizePage size.
Example:
10Constraints
- Range
1100
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/getOperateRecordList' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"cardId": 100001,
"pageNum": 1,
"pageSize": 10,
"type": "DEPOSIT"
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ totalRecords, pageSize, ... }Paginated operation records.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"totalRecords": 1,
"pageSize": 10,
"current": 1,
"pageNum": 1,
"totalPages": 1,
"records": [
{
"operateRecordId": 200001,
"cardId": 100001,
"clientRequestId": "REQ_20260101_001",
"type": "DEPOSIT",
"status": "S",
"remark": null,
"amount": 100,
"currency": "USD",
"operateTime": 1735689600000,
"feeList": [
{
"feeType": "DEPOSIT",
"feeAmount": 1,
"feeCurrency": "USD"
}
]
}
]
}
}No error responses are documented for this endpoint.